2

After upgrading from 18.04 to 18.10 I began to see such lines. What's wrong?

$ sudo apt autoremove
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
2018/10/25 10:02:58.175716 main.go:158: argument "abort"'s "<смена ID>s" should be wrapped in <>s
2018/10/25 10:02:58.175829 main.go:158: argument "ack"'s "<файл подтверждения>s" should be wrapped in <>s
2018/10/25 10:02:58.176064 main.go:158: argument "tasks"'s "<смена ID>s" should be wrapped in <>s
2018/10/25 10:02:58.176142 main.go:158: argument "create-key"'s "<имя ключа>s" should be wrapped in <>s
2018/10/25 10:02:58.176210 main.go:158: argument "create-user"'s "<отослать>s" should be wrapped in <>s
2018/10/25 10:02:58.176277 main.go:158: argument "delete-key"'s "<имя ключа>s" should be wrapped in <>s
2018/10/25 10:02:58.176408 main.go:158: argument "export-key"'s "<имя ключа>s" should be wrapped in <>s
2018/10/25 10:02:58.176485 main.go:158: argument "find"'s "<запрос>s" should be wrapped in <>s
2018/10/25 10:02:58.176567 main.go:158: argument "get"'s "<ключ>s" should be wrapped in <>s
2018/10/25 10:02:58.176684 main.go:158: argument "interface"'s "<интерфейс>s" should be wrapped in <>s
2018/10/25 10:02:58.176773 main.go:158: argument "known"'s "<тип подтверждения>s" should be wrapped in <>s
2018/10/25 10:02:58.176798 main.go:158: argument "known"'s "<фильт заголовков>s" should be wrapped in <>s
2018/10/25 10:02:58.176889 main.go:158: argument "login"'s "<отослать>s" should be wrapped in <>s
2018/10/25 10:02:58.176992 main.go:158: argument "prepare-image"'s "<модель подтверждения>s" should be wrapped in <>s
2018/10/25 10:02:58.177020 main.go:158: argument "prepare-image"'s "<корневая директория>s" should be wrapped in <>s
2018/10/25 10:02:58.177139 main.go:158: argument "services"'s "<сервис>s" should be wrapped in <>s
2018/10/25 10:02:58.177206 main.go:158: argument "logs"'s "<сервис>s" should be wrapped in <>s
2018/10/25 10:02:58.177261 main.go:158: argument "start"'s "<сервис>s" should be wrapped in <>s
2018/10/25 10:02:58.177334 main.go:158: argument "stop"'s "<сервис>s" should be wrapped in <>s
2018/10/25 10:02:58.177399 main.go:158: argument "restart"'s "<сервис>s" should be wrapped in <>s
2018/10/25 10:02:58.177467 main.go:158: argument "set"'s "<конфигурационное значение>s" should be wrapped in <>s
2018/10/25 10:02:58.177560 main.go:158: argument "sign-build"'s "<имя файла>s" should be wrapped in <>s
2018/10/25 10:02:58.177963 main.go:158: argument "wait"'s "<ключ>s" should be wrapped in <>s
2018/10/25 10:02:58.178017 main.go:158: argument "watch"'s "<смена ID>s" should be wrapped in <>s
Обновлено 0 пакетов, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
2018/10/25 10:02:58.251189 main.go:158: argument "abort"'s "<смена ID>s" should be wrapped in <>s
2018/10/25 10:02:58.251259 main.go:158: argument "ack"'s "<файл подтверждения>s" should be wrapped in <>s
2018/10/25 10:02:58.251388 main.go:158: argument "tasks"'s "<смена ID>s" should be wrapped in <>s
2018/10/25 10:02:58.251423 main.go:158: argument "create-key"'s "<имя ключа>s" should be wrapped in <>s
2018/10/25 10:02:58.251468 main.go:158: argument "create-user"'s "<отослать>s" should be wrapped in <>s
2018/10/25 10:02:58.251492 main.go:158: argument "delete-key"'s "<имя ключа>s" should be wrapped in <>s
2018/10/25 10:02:58.251563 main.go:158: argument "export-key"'s "<имя ключа>s" should be wrapped in <>s
2018/10/25 10:02:58.251605 main.go:158: argument "find"'s "<запрос>s" should be wrapped in <>s
2018/10/25 10:02:58.251641 main.go:158: argument "get"'s "<ключ>s" should be wrapped in <>s
2018/10/25 10:02:58.251711 main.go:158: argument "interface"'s "<интерфейс>s" should be wrapped in <>s
2018/10/25 10:02:58.251749 main.go:158: argument "known"'s "<тип подтверждения>s" should be wrapped in <>s
2018/10/25 10:02:58.251766 main.go:158: argument "known"'s "<фильт заголовков>s" should be wrapped in <>s
2018/10/25 10:02:58.251817 main.go:158: argument "login"'s "<отослать>s" should be wrapped in <>s
2018/10/25 10:02:58.251884 main.go:158: argument "prepare-image"'s "<модель подтверждения>s" should be wrapped in <>s
2018/10/25 10:02:58.251900 main.go:158: argument "prepare-image"'s "<корневая директория>s" should be wrapped in <>s
2018/10/25 10:02:58.251963 main.go:158: argument "services"'s "<сервис>s" should be wrapped in <>s
2018/10/25 10:02:58.251999 main.go:158: argument "logs"'s "<сервис>s" should be wrapped in <>s
2018/10/25 10:02:58.252032 main.go:158: argument "start"'s "<сервис>s" should be wrapped in <>s
2018/10/25 10:02:58.252077 main.go:158: argument "stop"'s "<сервис>s" should be wrapped in <>s
2018/10/25 10:02:58.252110 main.go:158: argument "restart"'s "<сервис>s" should be wrapped in <>s
2018/10/25 10:02:58.252156 main.go:158: argument "set"'s "<конфигурационное значение>s" should be wrapped in <>s
2018/10/25 10:02:58.252207 main.go:158: argument "sign-build"'s "<имя файла>s" should be wrapped in <>s
2018/10/25 10:02:58.252453 main.go:158: argument "wait"'s "<ключ>s" should be wrapped in <>s
2018/10/25 10:02:58.252484 main.go:158: argument "watch"'s "<смена ID>s" should be wrapped in <>s
  • Most people on this site don't speak Russian, so please translate the error messages, or run the command again with LANG=C prefixed, i.e. LANG=C sudo apt autoremove, which will get an English translation. – wjandrea Oct 25 '18 at 15:27
  • 1
    With this LANG=C this output is gone away. Seems like apt fails with tranlations – yanpas Oct 26 '18 at 17:29
1

Best way to put locale to /etc/default/locale e.g.:

sudo update-locale LANG=en_US.UTF-8

check changes with cat /etc/default/locale

LANG=en_US.UTF-8
LC_COLLATE=C
LC_MESSAGES=C
LC_ALL=en_US.UTF-8

or edit bash profiale /etc/bash.bashrc:

export LC_ALL=en_US.UTF-8
export LANG=en_US.UTF-8
export LANGUAGE=en_US.UTF-8
| improve this answer | |
0

Got same output from apt on Ubuntu-Mate 18.10. Adding "LANG=C" prefix solves this for me too. So, here's a workaround.

Rename apt and apt-get binaries:

cd /usr/bin
sudo mv apt apt_orig
sudo mv apt-get apt-get_orig

Create a script "apt" (sudo nano apt) with the following content:

#!/bin/bash
LANG=C apt_orig $*

and sudo nano apt-get:

#!/bin/bash
LANG=C apt-get_orig $*

Then make them executable:

sudo chmod +x apt apt-get

These will probably be overwritten when the apt and apt-get packages are updated. Will hope that next update will fix the issue :) Maybe someone can offer a more persistant solution.

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.